Bug 207768 - [exp-run] security/gnutls: update to 3.4.10
Summary: [exp-run] security/gnutls: update to 3.4.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on: 207765 208122
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 10:28 UTC by Tijl Coosemans
Modified: 2016-03-27 15:10 UTC (History)
3 users (show)

See Also:
bdrewery: maintainer-feedback+


Attachments
patch (28.47 KB, patch)
2016-03-07 10:28 UTC, Tijl Coosemans
no flags Details | Diff
patch2 (84.86 KB, patch)
2016-03-11 17:41 UTC, Tijl Coosemans
no flags Details | Diff
patch3 (86.03 KB, patch)
2016-03-11 17:43 UTC, Tijl Coosemans
no flags Details | Diff
patch4 (142.81 KB, patch)
2016-03-24 16:51 UTC, Tijl Coosemans
no flags Details | Diff
patch5 (144.14 KB, patch)
2016-03-25 09:08 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2016-03-07 10:28:26 UTC
Created attachment 167795 [details]
patch

- Update security/gnutls to 3.4.10.
- Rename the LIBDANE option DANE because that's the name of the protocol supported by libgnutls-dane but also gnutls-cli.  Also clarify the option description.
- Add an IDN option.
- It's best to give this an exp-run because libgnutls isn't backwards compatible and because of the removal of libgnutls-openssl.  At least one port depends on this, net/csync2.  See bug #207765 for a patch that updates this port.
Comment 1 Bryan Drewery freebsd_committer 2016-03-07 20:47:14 UTC
I have no real interest in this port. You may do what you wish at your discretion. Take or reset maintainer with your patch as well please.
Comment 2 Tijl Coosemans freebsd_committer 2016-03-09 17:25:16 UTC
Ok, I'll take maintainer.
Comment 3 Tijl Coosemans freebsd_committer 2016-03-11 17:41:10 UTC
Created attachment 168017 [details]
patch2

- Inlcude PORTREVISION bumps.
- Fix some uses of libgnutls-openssl.so.
- Add patch to print/cups to fix overlinking of libgnutls.so.
Comment 4 Tijl Coosemans freebsd_committer 2016-03-11 17:43:53 UTC
Created attachment 168018 [details]
patch3
Comment 5 Antoine Brodin freebsd_committer 2016-03-12 09:47:27 UTC
Exp-run results on 10.3 i386:

http://package18.nyi.freebsd.org/build.html?mastername=103i386-default-PR207768&build=2016-03-12_09h18m23s

New failures:

+ {"origin"=>"deskutils/fusenshi", "pkgname"=>"fusenshi-0.9.0_14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/gwenhywfar", "pkgname"=>"gwenhywfar-4.14.0_1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"editors/abiword", "pkgname"=>"abiword-3.0.1_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"ftp/wzdftpd", "pkgname"=>"wzdftpd-0.8.3_6", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"irc/weechat", "pkgname"=>"weechat-1.4_1", "phase"=>"lib-depends", "errortype"=>"???"}
+ {"origin"=>"net-im/jabber", "pkgname"=>"jabber-1.6.1.1_19,1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-im/loudmouth", "pkgname"=>"loudmouth-1.4.3_12", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/net6", "pkgname"=>"net6-1.3.14_4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/sixxs-aiccu", "pkgname"=>"sixxs-aiccu-20070115_5", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/splix", "pkgname"=>"splix-2.0.0_8", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/libprelude", "pkgname"=>"libprelude-1.0.1_10", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/openvas-libnasl", "pkgname"=>"openvas-libnasl-2.0.1_17", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/heartbeat", "pkgname"=>"heartbeat-2.1.4_27", "phase"=>"build", "errortype"=>"termios"}
+ {"origin"=>"textproc/iksemel", "pkgname"=>"iksemel-1.4_7", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/hydra", "pkgname"=>"hydra-web-0.1.8_10", "phase"=>"build", "errortype"=>"linker_error"}

around 20 ports were skipped due to those failures

Failure logs:

http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/fusenshi-0.9.0_14.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/gwenhywfar-4.14.0_1.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/abiword-3.0.1_2.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/wzdftpd-0.8.3_6.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/weechat-1.4_1.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/jabber-1.6.1.1_19,1.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/loudmouth-1.4.3_12.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/net6-1.3.14_4.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/sixxs-aiccu-20070115_5.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/splix-2.0.0_8.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/libprelude-1.0.1_10.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/openvas-libnasl-2.0.1_17.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/heartbeat-2.1.4_27.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/iksemel-1.4_7.log
http://package18.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-12_09h18m23s/logs/errors/hydra-web-0.1.8_10.log
Comment 6 commit-hook freebsd_committer 2016-03-21 12:04:30 UTC
A commit references this bug:

Author: tijl
Date: Mon Mar 21 12:03:40 UTC 2016
New revision: 411557
URL: https://svnweb.freebsd.org/changeset/ports/411557

Log:
  - Take maintainer.
  - Fix a build problem with upcoming libc++.

  PR:		207768, 208175
  Approved by:	bdrewery (maintainer)

Changes:
  head/security/gnutls/Makefile
Comment 7 Tijl Coosemans freebsd_committer 2016-03-24 16:51:49 UTC
Created attachment 168575 [details]
patch4

Basically the error in each of those ports is the same.  Functions to set the order of crypto algorithms have been replaced with a new API.

deskutils/fusenshi: remove the calls, already default.
devel/gwenhywfar, editors/abiword, ftp/wzdftpd, net/net6, net/sixxs-aiccu, textproc/iksemel: use new API.
irc/weechat: remove version from LIB_DEPENDS
net-im/jabber: This uses the old API to give fine control over crypto algorithms via user configuration.  I simply removed this, so the port always uses the default now.
net-im/loudmouth: Development taken over by mcabber.com.  Update to their latest version.
print/splix: Add missing library -pthread (due to removal of cups overlinking)
security/libprelude, security/libpreludedb: update to 1.2.6
sysutils/heartbeat: use new API and remove a call because it is already default.
www/hydra: mark BROKEN.  This uses more removed calls than the other ports, is said to be alpha quality and not fully functional and has been abandoned 10 years ago.
Comment 8 Tijl Coosemans freebsd_committer 2016-03-24 16:54:31 UTC
CC koobs@FreeBSD.org for security/libprelude update.
CC gnome@FreeBSD.org for net-im/loudmouth update.
Comment 10 Antoine Brodin freebsd_committer 2016-03-25 08:40:25 UTC
For textproc/iksemel, an argument is missing gnutls_set_default_priority see http://package22.nyi.freebsd.org/data/103i386-default-PR207768/2016-03-25_07h19m13s/logs/errors/iksemel-1.4_7.log
Comment 11 Tijl Coosemans freebsd_committer 2016-03-25 09:08:30 UTC
Created attachment 168606 [details]
patch5

gnutls: remove duplicate typedef.
iksemel: fix function call.
Comment 12 Antoine Brodin freebsd_committer 2016-03-27 06:29:02 UTC
Exp-run looks good.
Comment 13 commit-hook freebsd_committer 2016-03-27 14:58:23 UTC
A commit references this bug:

Author: tijl
Date: Sun Mar 27 14:58:08 UTC 2016
New revision: 411990
URL: https://svnweb.freebsd.org/changeset/ports/411990

Log:
  - Update security/gnutls to 3.4.10.
  - Rename the LIBDANE option DANE because that's the name of the protocol
    supported by libgnutls-dane and gnutls-cli.  Also clarify the option
    description.
  - Add an IDN option.
  - libgnutls-openssl has been removed in 3.4.  Some ports used this library
    in their LIB_DEPENDS but no port actually required it.
  - Some old API functions have been removed.  Ports that used these have been
    updated or patched to use the new API.
  - Add a patch to print/cups to prevent overlinking of libgnutls.so.
  - Bump PORTREVISION on dependent ports.

  net-im/jabber: This port used the old API to give users fine grained
  control over which crypto algorithms were used via a configuration file.
  It's not immediately obvious how to port this to the new API so the port
  always uses the defaults now.

  www/hydra: Mark BROKEN.  This uses more removed calls than the other ports,
  is said to be alpha quality and not fully functional and has been abandoned
  10 years ago.

  PR:		207768
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/audio/ario/Makefile
  head/audio/pianobar/Makefile
  head/audio/tomahawk/Makefile
  head/benchmarks/postal/Makefile
  head/databases/freetds/Makefile
  head/databases/freetds-devel/Makefile
  head/databases/glom/Makefile
  head/deskutils/fusenshi/Makefile
  head/deskutils/fusenshi/files/patch-src_net_fusenshisslclientsocket.cpp
  head/deskutils/fusenshi/files/patch-src_net_fusenshisslserversocket.cpp
  head/deskutils/taskd/Makefile
  head/deskutils/taskwarrior/Makefile
  head/devel/anjuta/Makefile
  head/devel/gsoap/Makefile
  head/devel/gwenhywfar/Makefile
  head/devel/gwenhywfar/files/patch-src-sio-syncio_tls.c
  head/devel/hs-git-annex/Makefile
  head/devel/librelp/Makefile
  head/devel/libvirt/Makefile
  head/dns/knot2/Makefile
  head/editors/abiword/Makefile
  head/editors/abiword/files/patch-plugins_collab_backends_service_xp_tls_tunnel.cpp
  head/editors/emacs/Makefile
  head/editors/emacs-devel/Makefile
  head/editors/vanubi/Makefile
  head/emulators/qemu/Makefile
  head/emulators/qemu-devel/Makefile
  head/emulators/qemu-sbruno/Makefile
  head/emulators/wine/Makefile
  head/emulators/wine-devel/Makefile
  head/ftp/curl/Makefile
  head/ftp/filezilla/Makefile
  head/ftp/lftp/Makefile
  head/ftp/wget/Makefile
  head/ftp/wput/Makefile
  head/ftp/wzdftpd/Makefile
  head/ftp/wzdftpd/files/patch-libwzd-core_wzd_tls.c
  head/games/libggz/Makefile
  head/games/macopix/Makefile
  head/games/pokerth/Makefile
  head/graphics/gnome-color-manager/Makefile
  head/irc/anope/Makefile
  head/irc/bitlbee/Makefile
  head/irc/ctrlproxy/Makefile
  head/irc/inspircd/Makefile
  head/irc/minbif/Makefile
  head/irc/ngircd/Makefile
  head/irc/scrollz/Makefile
  head/irc/weechat/Makefile
  head/japanese/jd/Makefile
  head/lang/gnustep-base/Makefile
  head/mail/anubis/Makefile
  head/mail/courier-imap/Makefile
  head/mail/exim/Makefile
  head/mail/libetpan/Makefile
  head/mail/libvmime/Makefile
  head/mail/mpop/Makefile
  head/mail/msmtp/Makefile
  head/mail/nullmailer/Makefile
  head/mail/opendkim/Makefile
  head/mail/wmbiff/Makefile
  head/mail/xfce4-mailwatch-plugin/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/kodi/Makefile
  head/multimedia/libav/Makefile
  head/multimedia/mencoder/Makefile
  head/multimedia/mplayer/Makefile
  head/multimedia/vlc/Makefile
  head/net/csync2/Makefile
  head/net/glib-networking/Makefile
  head/net/gtk-vnc/Makefile
  head/net/hs-network-protocol-xmpp/Makefile
  head/net/libvncserver/Makefile
  head/net/morebalance/Makefile
  head/net/net6/Makefile
  head/net/net6/files/patch-src-encrypt.cpp
  head/net/ocserv/Makefile
  head/net/remmina-plugin-vnc/Makefile
  head/net/samba41/Makefile
  head/net/samba42/Makefile
  head/net/samba43/Makefile
  head/net/sixxs-aiccu/Makefile
  head/net/sixxs-aiccu/files/patch-common-common.c
  head/net/tigervnc/Makefile
  head/net/uget/Makefile
  head/net/vinagre/Makefile
  head/net/vino/Makefile
  head/net/wireshark/Makefile
  head/net-im/climm/Makefile
  head/net-im/empathy/Makefile
  head/net-im/gloox/Makefile
  head/net-im/jabber/Makefile
  head/net-im/jabber/files/patch-jabberd-mio_tls.cc
  head/net-im/libpurple/Makefile
  head/net-im/licq-jabber/Makefile
  head/net-im/loudmouth/Makefile
  head/net-im/loudmouth/distinfo
  head/net-im/loudmouth/files/
  head/net-im/loudmouth/pkg-descr
  head/net-im/loudmouth/pkg-plist
  head/net-im/telepathy-gabble/Makefile
  head/net-im/telepathy-salut/Makefile
  head/net-p2p/gnunet/Makefile
  head/net-p2p/gtk-gnutella/Makefile
  head/net-p2p/ncdc/Makefile
  head/news/nzbget/Makefile
  head/polish/ekg2/Makefile
  head/print/cups/Makefile
  head/print/cups/files/patch-cups-config.in
  head/print/cups-bjnp/Makefile
  head/print/cups-filters/Makefile
  head/print/ghostscript8-base/Makefile
  head/print/ghostscript9-agpl-base/Makefile
  head/print/ghostscript9-base/Makefile
  head/print/gnome-cups-manager/Makefile
  head/print/gtklp/Makefile
  head/print/gutenprint-cups/Makefile
  head/print/gutenprint-foomatic/Makefile
  head/print/gutenprint-ijs/Makefile
  head/print/libgnomecups/Makefile
  head/print/libgnomeprint/Makefile
  head/print/p5-Net-CUPS/Makefile
  head/print/qpdfview/Makefile
  head/print/splix/Makefile
  head/security/gnomint/Makefile
  head/security/gnupg/Makefile
  head/security/gnutls/Makefile
  head/security/gnutls/distinfo
  head/security/gnutls/files/patch-configure
  head/security/gnutls/files/patch-lib-tpm.c
  head/security/gnutls/files/patch-lib__x509__rfc2818_hostname.c
  head/security/gnutls/pkg-plist
  head/security/gsasl/Makefile
  head/security/hs-gnutls/Makefile
  head/security/libprelude/Makefile
  head/security/libprelude/distinfo
  head/security/libprelude/files/
  head/security/libprelude/pkg-descr
  head/security/libprelude/pkg-plist
  head/security/libpreludedb/Makefile
  head/security/libpreludedb/distinfo
  head/security/libpreludedb/files/patch-Makefile.in
  head/security/libpreludedb/pkg-descr
  head/security/libpreludedb/pkg-plist
  head/security/openconnect/Makefile
  head/security/openvas-cli/Makefile
  head/security/openvas-libraries/Makefile
  head/security/openvas-manager/Makefile
  head/security/py-gnutls/Makefile
  head/security/shishi/Makefile
  head/security/suricata/Makefile
  head/security/xmlsec1/Makefile
  head/sysutils/cinnamon-settings-daemon/Makefile
  head/sysutils/gkrellm2/Makefile
  head/sysutils/gnome-control-center/Makefile
  head/sysutils/gnome-settings-daemon/Makefile
  head/sysutils/heartbeat/Makefile
  head/sysutils/heartbeat/files/patch-crm-cib-remote.c
  head/sysutils/heartbeat/files/patch-lib-mgmt-mgmt_tls_lib.c
  head/sysutils/heartbeat/files/patch-lib__plugins__quorum__quorumd.c
  head/sysutils/heartbeat/files/patch-membership__quorumd__quorumdtest.c
  head/sysutils/rsyslog7/Makefile
  head/sysutils/rsyslog8/Makefile
  head/textproc/iksemel/Makefile
  head/textproc/iksemel/files/patch-src-stream.c
  head/www/aws/Makefile
  head/www/gurlchecker/Makefile
  head/www/hydra/Makefile
  head/www/libepc/Makefile
  head/www/libmicrohttpd/Makefile
  head/www/ocaml-net/Makefile
  head/www/retawq/Makefile
  head/www/tntnet/Makefile
  head/www/webkit2-gtk3/Makefile
  head/www/wwwoffle/Makefile
  head/www/xombrero/Makefile
  head/x11/gnome-terminal/Makefile
  head/x11/sakura/Makefile
  head/x11-toolkits/gnustep-gui/Makefile
  head/x11-toolkits/gtk20/Makefile
  head/x11-toolkits/gtk30/Makefile
  head/x11-toolkits/nucleo/Makefile
  head/x11-toolkits/vte3/Makefile